package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.Mzmxsr;
import cn.hnthyy.thmz.vo.ThmzmxsrParamsVo;

import java.math.BigDecimal;
import java.util.List;

public interface MzmxsrService {
    /**
     * 单独插入数据
     * @param mzmxsr
     * @return
     */
    int saveMzmxsr(Mzmxsr mzmxsr);


    /**
     * 批量保存门诊收费明细记录
     *
     * @param mzmxsrList
     * @return
     */
    int batchSaveMzmxsr(List<Mzmxsr> mzmxsrList);

    /**
     * 分页查询门诊收入明细
     *
     *
     * @param thmzmxsrParamsVo
     * @return
     */
    List<Mzmxsr> queryMzmxsrWithPage(ThmzmxsrParamsVo thmzmxsrParamsVo);


    /**
     * 查询符合条件的总数
     *
     *
     * @param thmzmxsrParamsVo
     * @return
     */
    Integer queryCountMzmxsr(ThmzmxsrParamsVo thmzmxsrParamsVo);


    /**
     * 查询符合条件的总金额
     *
     *
     * @param thmzmxsrParamsVo
     * @return
     */
    BigDecimal querySumAmount(ThmzmxsrParamsVo thmzmxsrParamsVo);


    /**
     * 按天查询不所有的收费病人id
     * @param beginDate
     * @param endDate
     * @return
     */
    List<String> queryAllPatientId(String beginDate,String endDate);

}
